<template>
  <layout-vertical :nav-menu-items="navMenuItems">
    <router-view />
    <app-customizer
      v-if="showCustomizer"
      slot="customizer"
    />
  </layout-vertical>
</template>

<script>
import LayoutVertical from '../../../@core/layouts/layout-vertical/LayoutVertical.vue'
import AppCustomizer from '../../../@core/layouts/components/app-customizer/AppCustomizer.vue'
import { $themeConfig } from '../../../../themeConfig'
import { $themeColors } from '../../../../themeConfig'

import navMenuItems from '@/views/menu'

export default {
  components: {
    AppCustomizer,
    LayoutVertical,
  },
  data() {
    return {
      showCustomizer: $themeConfig.layout.customizer,
      navMenuItems,
    }
  },
}
</script>


<style>
  :root{
    --bs-primary: #ef4d4d!important;
  }
</style>
